Subject: Re: linux-next: manual merge of the kspp tree with the tip tree

From: Cyrill Gorcunov <[email-masked]>
Date: Wed, 6 Nov 2019 10:28:33 +0300

On Wed, Nov 06, 2019 at 04:03:31PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the kspp tree got a conflict in:
> 
>   arch/x86/kernel/fpu/xstate.c
> 
> between commit:
> 
>   446e693ca30b ("x86/fpu: Use XFEATURE_FP/SSE enum values instead of hardcoded numbers")
> 
> from the tip tree and commit:
> 
>   ec2f877856e0 ("treewide: Use sizeof_member() macro")
> 
> from the kspp tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Since these macros are just the same the fix is fine. Thank you!